package model

import "iot_manager_service/app/device/dao"

type RspBridgeSensorList struct {
	Records []dao.BridgeSensor `json:"records"` //记录列表
	Current int                `json:"current"` //当前分页
	Size    int                `json:"size"`    //每页数量
	Total   int                `json:"total"`   //总数
	Pages   int                `json:"pages"`   //总页数
}

type ReqBridgeSensorRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   int    `json:"sn"`   //sn
	Name string `json:"name"` //名称
}

type ReqBridgeSensorEnable struct {
	ID     int `json:"id"`     //编码
	Status int `json:"status"` //启用禁用：1启用2禁用
	Name   int `json:"name"`   //名称
	SN     int `json:"sn"`     //sn
}
