package model

import (
	"iot_manager_service/app/device/dao"
	"time"
)

type RsqInfoBoardList struct {
	Records []InfoBoardDetail `json:"records"` //记录列表
	Current int               `json:"current"` //当前分页
	Size    int               `json:"size"`    //每页数量
	Pages   int               `json:"pages"`   //总页数
	Total   int               `json:"total"`   //总数
}

type ReqInfoBoardRemove struct {
	IDs int `json:"ids"` //分组编码
}

type InfoBoardDetail struct {
	dao.InfoBoard
	EndLineTime  time.Time `json:"endLineTime"`  //最后上线时间
	NetworkState string    `json:"networkState"` //网络状态
	RunState     string    `json:"runState"`     //运行状态
	PublicName   string    `json:"publicName"`   //节目发布时使用
}
