CREATE TABLE `t_sha_tenant_code` (
`id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
`tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
`city_code` varchar(6) DEFAULT NULL COMMENT '城市行政编码',
`city_name` varchar(255) DEFAULT NULL COMMENT '城市名称',
`city_lng` double(18,14) DEFAULT NULL COMMENT '经度',
`city_lat` double(18,14) DEFAULT NULL COMMENT '纬度',
PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;
INSERT INTO `t_sha_tenant_code` (`id`, `tenant_id`, `city_code`, `city_name`, `city_lng`, `city_lat`) VALUES (1, '100000', '430626', '湖南省,岳阳市,平江县', 113.58901721656320, 28.67559732607677);

CREATE TABLE `t_sha_area_city_code`  (
                                         `ID` int(11) NOT NULL,
                                         `ParentId` int(11) NULL DEFAULT NULL,
                                         `Name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `MergerName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `ShortName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `MergerShortName` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `LevelType` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `CityCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `ZipCode` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `Pinyin` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `Jianpin` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `FirstChar` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         `lng` float NULL DEFAULT NULL,
                                         `Lat` float NULL DEFAULT NULL,
                                         `Remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
                                         PRIMARY KEY (`ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;
INSERT INTO `t_sha_area_city_code` VALUES (100000, 0, '中国', '中国', '中国', '中国', '0', NULL, NULL, 'China', 'CN', 'C', 116.368, 39.9151, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (110000, 100000, '北京', '中国,北京', '北京', '中国,北京', '1', NULL, NULL, 'Beijing', 'BJ', 'B', 116.405, 39.905, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (110100, 110000, '北京市', '中国,北京,北京市', '北京', '中国,北京,北京', '2', '010', '100000', 'Beijing', 'BJ', 'B', 116.405, 39.905, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (120000, 100000, '天津', '中国,天津', '天津', '中国,天津', '1', NULL, NULL, 'Tianjin', 'TJ', 'T', 117.19, 39.1256, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (120100, 120000, '天津市', '中国,天津,天津市', '天津', '中国,天津,天津', '2', '022', '300000', 'Tianjin', 'TJ', 'T', 117.19, 39.1256, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130000, 100000, '河北省', '中国,河北省', '河北', '中国,河北', '1', NULL, NULL, 'Hebei', 'HE', 'H', 114.502, 38.0455, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130100, 130000, '石家庄市', '中国,河北省,石家庄市', '石家庄', '中国,河北,石家庄', '2', '0311', '050000', 'Shijiazhuang', 'SJZ', 'S', 114.502, 38.0455, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130200, 130000, '唐山市', '中国,河北省,唐山市', '唐山', '中国,河北,唐山', '2', '0315', '063000', 'Tangshan', 'TS', 'T', 118.175, 39.6351, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130300, 130000, '秦皇岛市', '中国,河北省,秦皇岛市', '秦皇岛', '中国,河北,秦皇岛', '2', '0335', '066000', 'Qinhuangdao', 'QHD', 'Q', 119.587, 39.9425, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130400, 130000, '邯郸市', '中国,河北省,邯郸市', '邯郸', '中国,河北,邯郸', '2', '0310', '056000', 'Handan', 'HD', 'H', 114.491, 36.6123, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130500, 130000, '邢台市', '中国,河北省,邢台市', '邢台', '中国,河北,邢台', '2', '0319', '054000', 'Xingtai', 'XT', 'X', 114.509, 37.0682, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130600, 130000, '保定市', '中国,河北省,保定市', '保定', '中国,河北,保定', '2', '0312', '071000', 'Baoding', 'BD', 'B', 115.482, 38.8677, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130700, 130000, '张家口市', '中国,河北省,张家口市', '张家口', '中国,河北,张家口', '2', '0313', '075000', 'Zhangjiakou', 'ZJK', 'Z', 114.884, 40.8119, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130800, 130000, '承德市', '中国,河北省,承德市', '承德', '中国,河北,承德', '2', '0314', '067000', 'Chengde', 'CD', 'C', 117.939, 40.9762, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (130900, 130000, '沧州市', '中国,河北省,沧州市', '沧州', '中国,河北,沧州', '2', '0317', '061000', 'Cangzhou', 'CZ', 'C', 116.857, 38.3106, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (131000, 130000, '廊坊市', '中国,河北省,廊坊市', '廊坊', '中国,河北,廊坊', '2', '0316', '065000', 'Langfang', 'LF', 'L', 116.714, 39.5292, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (131100, 130000, '衡水市', '中国,河北省,衡水市', '衡水', '中国,河北,衡水', '2', '0318', '053000', 'Hengshui', 'HS', 'H', 115.666, 37.7351, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140000, 100000, '山西省', '中国,山西省', '山西', '中国,山西', '1', NULL, NULL, 'Shanxi', 'SX', 'S', 112.549, 37.857, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140100, 140000, '太原市', '中国,山西省,太原市', '太原', '中国,山西,太原', '2', '0351', '030000', 'Taiyuan', 'TY', 'T', 112.549, 37.857, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140200, 140000, '大同市', '中国,山西省,大同市', '大同', '中国,山西,大同', '2', '0352', '037000', 'Datong', 'DT', 'D', 113.295, 40.0903, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140300, 140000, '阳泉市', '中国,山西省,阳泉市', '阳泉', '中国,山西,阳泉', '2', '0353', '045000', 'Yangquan', 'YQ', 'Y', 113.583, 37.8612, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140400, 140000, '长治市', '中国,山西省,长治市', '长治', '中国,山西,长治', '2', '0355', '046000', 'Changzhi', 'CZ', 'C', 113.114, 36.1911, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140500, 140000, '晋城市', '中国,山西省,晋城市', '晋城', '中国,山西,晋城', '2', '0356', '048000', 'Jincheng', 'JC', 'J', 112.851, 35.4976, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140600, 140000, '朔州市', '中国,山西省,朔州市', '朔州', '中国,山西,朔州', '2', '0349', '036000', 'Shuozhou', 'SZ', 'S', 112.433, 39.3313, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140700, 140000, '晋中市', '中国,山西省,晋中市', '晋中', '中国,山西,晋中', '2', '0354', '030600', 'Jinzhong', 'JZ', 'J', 112.736, 37.6965, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140800, 140000, '运城市', '中国,山西省,运城市', '运城', '中国,山西,运城', '2', '0359', '044000', 'Yuncheng', 'YC', 'Y', 111.004, 35.0228, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (140900, 140000, '忻州市', '中国,山西省,忻州市', '忻州', '中国,山西,忻州', '2', '0350', '034000', 'Xinzhou', 'XZ', 'X', 112.734, 38.4177, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (141000, 140000, '临汾市', '中国,山西省,临汾市', '临汾', '中国,山西,临汾', '2', '0357', '041000', 'Linfen', 'LF', 'L', 111.518, 36.0841, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (141100, 140000, '吕梁市', '中国,山西省,吕梁市', '吕梁', '中国,山西,吕梁', '2', '0358', '033000', 'Lvliang', 'LL', 'L', 111.134, 37.5244, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150000, 100000, '内蒙古自治区', '中国,内蒙古自治区', '内蒙古', '中国,内蒙古', '1', NULL, NULL, 'Inner Mongolia', 'NM', 'I', 111.671, 40.8183, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150100, 150000, '呼和浩特市', '中国,内蒙古自治区,呼和浩特市', '呼和浩特', '中国,内蒙古,呼和浩特', '2', '0471', '010000', 'Hohhot', 'HHHT', 'H', 111.671, 40.8183, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150200, 150000, '包头市', '中国,内蒙古自治区,包头市', '包头', '中国,内蒙古,包头', '2', '0472', '014000', 'Baotou', 'BT', 'B', 109.84, 40.6582, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150300, 150000, '乌海市', '中国,内蒙古自治区,乌海市', '乌海', '中国,内蒙古,乌海', '2', '0473', '016000', 'Wuhai', 'WH', 'W', 106.826, 39.6737, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150400, 150000, '赤峰市', '中国,内蒙古自治区,赤峰市', '赤峰', '中国,内蒙古,赤峰', '2', '0476', '024000', 'Chifeng', 'CF', 'C', 118.957, 42.2753, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150500, 150000, '通辽市', '中国,内蒙古自治区,通辽市', '通辽', '中国,内蒙古,通辽', '2', '0475', '028000', 'Tongliao', 'TL', 'T', 122.263, 43.6174, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150600, 150000, '鄂尔多斯市', '中国,内蒙古自治区,鄂尔多斯市', '鄂尔多斯', '中国,内蒙古,鄂尔多斯', '2', '0477', '017000', 'Ordos', 'EEDS', 'O', 109.99, 39.8172, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150700, 150000, '呼伦贝尔市', '中国,内蒙古自治区,呼伦贝尔市', '呼伦贝尔', '中国,内蒙古,呼伦贝尔', '2', '0470', '021000', 'Hulunber', 'HLBE', 'H', 119.758, 49.2153, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150800, 150000, '巴彦淖尔市', '中国,内蒙古自治区,巴彦淖尔市', '巴彦淖尔', '中国,内蒙古,巴彦淖尔', '2', '0478', '015000', 'Bayan Nur', 'BYNE', 'B', 107.417, 40.7574, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (150900, 150000, '乌兰察布市', '中国,内蒙古自治区,乌兰察布市', '乌兰察布', '中国,内蒙古,乌兰察布', '2', '0474', '012000', 'Ulanqab', 'WLCB', 'U', 113.115, 41.0341, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (152200, 150000, '兴安盟', '中国,内蒙古自治区,兴安盟', '兴安盟', '中国,内蒙古,兴安盟', '2', '0482', '137400', 'Hinggan', 'XAM', 'H', 122.07, 46.0763, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (152500, 150000, '锡林郭勒盟', '中国,内蒙古自治区,锡林郭勒盟', '锡林郭勒盟', '中国,内蒙古,锡林郭勒盟', '2', '0479', '026000', 'Xilin Gol', 'XLGLM', 'X', 116.091, 43.944, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (152900, 150000, '阿拉善盟', '中国,内蒙古自治区,阿拉善盟', '阿拉善盟', '中国,内蒙古,阿拉善盟', '2', '0483', '750300', 'Alxa', 'ALSM', 'A', 105.706, 38.8448, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210000, 100000, '辽宁省', '中国,辽宁省', '辽宁', '中国,辽宁', '1', NULL, NULL, 'Liaoning', 'LN', 'L', 123.429, 41.7968, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210100, 210000, '沈阳市', '中国,辽宁省,沈阳市', '沈阳', '中国,辽宁,沈阳', '2', '024', '110000', 'Shenyang', 'SY', 'S', 123.429, 41.7968, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210200, 210000, '大连市', '中国,辽宁省,大连市', '大连', '中国,辽宁,大连', '2', '0411', '116000', 'Dalian', 'DL', 'D', 121.619, 38.9146, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210300, 210000, '鞍山市', '中国,辽宁省,鞍山市', '鞍山', '中国,辽宁,鞍山', '2', '0412', '114000', 'Anshan', 'AS', 'A', 122.996, 41.1106, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210400, 210000, '抚顺市', '中国,辽宁省,抚顺市', '抚顺', '中国,辽宁,抚顺', '2', '024', '113000', 'Fushun', 'FS', 'F', 123.921, 41.876, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210500, 210000, '本溪市', '中国,辽宁省,本溪市', '本溪', '中国,辽宁,本溪', '2', '024', '117000', 'Benxi', 'BX', 'B', 123.771, 41.2979, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210600, 210000, '丹东市', '中国,辽宁省,丹东市', '丹东', '中国,辽宁,丹东', '2', '0415', '118000', 'Dandong', 'DD', 'D', 124.383, 40.1243, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210700, 210000, '锦州市', '中国,辽宁省,锦州市', '锦州', '中国,辽宁,锦州', '2', '0416', '121000', 'Jinzhou', 'JZ', 'J', 121.136, 41.1193, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210800, 210000, '营口市', '中国,辽宁省,营口市', '营口', '中国,辽宁,营口', '2', '0417', '115000', 'Yingkou', 'YK', 'Y', 122.235, 40.6674, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (210900, 210000, '阜新市', '中国,辽宁省,阜新市', '阜新', '中国,辽宁,阜新', '2', '0418', '123000', 'Fuxin', 'FX', 'F', 121.649, 42.0118, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (211000, 210000, '辽阳市', '中国,辽宁省,辽阳市', '辽阳', '中国,辽宁,辽阳', '2', '0419', '111000', 'Liaoyang', 'LY', 'L', 123.182, 41.2694, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (211100, 210000, '盘锦市', '中国,辽宁省,盘锦市', '盘锦', '中国,辽宁,盘锦', '2', '0427', '124000', 'Panjin', 'PJ', 'P', 122.07, 41.1245, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (211200, 210000, '铁岭市', '中国,辽宁省,铁岭市', '铁岭', '中国,辽宁,铁岭', '2', '024', '112000', 'Tieling', 'TL', 'T', 123.844, 42.2906, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (211300, 210000, '朝阳市', '中国,辽宁省,朝阳市', '朝阳', '中国,辽宁,朝阳', '2', '0421', '122000', 'Chaoyang', 'CY', 'C', 120.451, 41.5768, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (211400, 210000, '葫芦岛市', '中国,辽宁省,葫芦岛市', '葫芦岛', '中国,辽宁,葫芦岛', '2', '0429', '125000', 'Huludao', 'HLD', 'H', 120.856, 40.7556, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220000, 100000, '吉林省', '中国,吉林省', '吉林', '中国,吉林', '1', NULL, NULL, 'Jilin', 'JL', 'J', 125.325, 43.8868, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220100, 220000, '长春市', '中国,吉林省,长春市', '长春', '中国,吉林,长春', '2', '0431', '130000', 'Changchun', 'CC', 'C', 125.325, 43.8868, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220200, 220000, '吉林市', '中国,吉林省,吉林市', '吉林', '中国,吉林,吉林', '2', '0432', '132000', 'Jilin', 'JL', 'J', 126.553, 43.8436, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220300, 220000, '四平市', '中国,吉林省,四平市', '四平', '中国,吉林,四平', '2', '0434', '136000', 'Siping', 'SP', 'S', 124.371, 43.1703, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220400, 220000, '辽源市', '中国,吉林省,辽源市', '辽源', '中国,吉林,辽源', '2', '0437', '136200', 'Liaoyuan', 'LY', 'L', 125.145, 42.9027, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220500, 220000, '通化市', '中国,吉林省,通化市', '通化', '中国,吉林,通化', '2', '0435', '134000', 'Tonghua', 'TH', 'T', 125.937, 41.7212, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220600, 220000, '白山市', '中国,吉林省,白山市', '白山', '中国,吉林,白山', '2', '0439', '134300', 'Baishan', 'BS', 'B', 126.428, 41.9425, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220700, 220000, '松原市', '中国,吉林省,松原市', '松原', '中国,吉林,松原', '2', '0438', '138000', 'Songyuan', 'SY', 'S', 124.824, 45.1182, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (220800, 220000, '白城市', '中国,吉林省,白城市', '白城', '中国,吉林,白城', '2', '0436', '137000', 'Baicheng', 'BC', 'B', 122.841, 45.619, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (222400, 220000, '延边朝鲜族自治州', '中国,吉林省,延边朝鲜族自治州', '延边', '中国,吉林,延边', '2', '0433', '133000', 'Yanbian', 'YB', 'Y', 129.513, 42.9048, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230000, 100000, '黑龙江省', '中国,黑龙江省', '黑龙江', '中国,黑龙江', '1', NULL, NULL, 'Heilongjiang', 'HL', 'H', 126.642, 45.757, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230100, 230000, '哈尔滨市', '中国,黑龙江省,哈尔滨市', '哈尔滨', '中国,黑龙江,哈尔滨', '2', '0451', '150000', 'Harbin', 'HEB', 'H', 126.642, 45.757, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230200, 230000, '齐齐哈尔市', '中国,黑龙江省,齐齐哈尔市', '齐齐哈尔', '中国,黑龙江,齐齐哈尔', '2', '0452', '161000', 'Qiqihar', 'QQHE', 'Q', 123.953, 47.3481, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230300, 230000, '鸡西市', '中国,黑龙江省,鸡西市', '鸡西', '中国,黑龙江,鸡西', '2', '0467', '158100', 'Jixi', 'JX', 'J', 130.976, 45.3, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230400, 230000, '鹤岗市', '中国,黑龙江省,鹤岗市', '鹤岗', '中国,黑龙江,鹤岗', '2', '0468', '154100', 'Hegang', 'HG', 'H', 130.277, 47.3321, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230500, 230000, '双鸭山市', '中国,黑龙江省,双鸭山市', '双鸭山', '中国,黑龙江,双鸭山', '2', '0469', '155100', 'Shuangyashan', 'SYS', 'S', 131.157, 46.6434, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230600, 230000, '大庆市', '中国,黑龙江省,大庆市', '大庆', '中国,黑龙江,大庆', '2', '0459', '163000', 'Daqing', 'DQ', 'D', 125.113, 46.5907, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230700, 230000, '伊春市', '中国,黑龙江省,伊春市', '伊春', '中国,黑龙江,伊春', '2', '0458', '153000', 'Yichun', 'YC', 'Y', 128.899, 47.7248, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230800, 230000, '佳木斯市', '中国,黑龙江省,佳木斯市', '佳木斯', '中国,黑龙江,佳木斯', '2', '0454', '154000', 'Jiamusi', 'JMS', 'J', 130.362, 46.8096, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (230900, 230000, '七台河市', '中国,黑龙江省,七台河市', '七台河', '中国,黑龙江,七台河', '2', '0464', '154600', 'Qitaihe', 'QTH', 'Q', 131.016, 45.7713, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (231000, 230000, '牡丹江市', '中国,黑龙江省,牡丹江市', '牡丹江', '中国,黑龙江,牡丹江', '2', '0453', '157000', 'Mudanjiang', 'MDJ', 'M', 129.619, 44.583, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (231100, 230000, '黑河市', '中国,黑龙江省,黑河市', '黑河', '中国,黑龙江,黑河', '2', '0456', '164300', 'Heihe', 'HH', 'H', 127.499, 50.2496, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (231200, 230000, '绥化市', '中国,黑龙江省,绥化市', '绥化', '中国,黑龙江,绥化', '2', '0455', '152000', 'Suihua', 'SH', 'S', 126.993, 46.6374, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (232700, 230000, '大兴安岭地区', '中国,黑龙江省,大兴安岭地区', '大兴安岭', '中国,黑龙江,大兴安岭', '2', '0457', '165000', 'DaXingAnLing', 'DXAL', 'D', 124.712, 52.3353, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (310000, 100000, '上海', '中国,上海', '上海', '中国,上海', '1', NULL, NULL, 'Shanghai', 'SH', 'S', 121.473, 31.2317, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (310100, 310000, '上海市', '中国,上海,上海市', '上海', '中国,上海,上海', '2', '021', '200000', 'Shanghai', 'SH', 'S', 121.473, 31.2317, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320000, 100000, '江苏省', '中国,江苏省', '江苏', '中国,江苏', '1', NULL, NULL, 'Jiangsu', 'JS', 'J', 118.767, 32.0415, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320100, 320000, '南京市', '中国,江苏省,南京市', '南京', '中国,江苏,南京', '2', '025', '210000', 'Nanjing', 'NJ', 'N', 118.767, 32.0415, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320200, 320000, '无锡市', '中国,江苏省,无锡市', '无锡', '中国,江苏,无锡', '2', '0510', '214000', 'Wuxi', 'WX', 'W', 120.302, 31.5747, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320300, 320000, '徐州市', '中国,江苏省,徐州市', '徐州', '中国,江苏,徐州', '2', '0516', '221000', 'Xuzhou', 'XZ', 'X', 117.185, 34.2618, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320400, 320000, '常州市', '中国,江苏省,常州市', '常州', '中国,江苏,常州', '2', '0519', '213000', 'Changzhou', 'CZ', 'C', 119.947, 31.7728, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320500, 320000, '苏州市', '中国,江苏省,苏州市', '苏州', '中国,江苏,苏州', '2', '0512', '215000', 'Suzhou', 'SZ', 'S', 120.62, 31.2994, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320600, 320000, '南通市', '中国,江苏省,南通市', '南通', '中国,江苏,南通', '2', '0513', '226000', 'Nantong', 'NT', 'N', 120.865, 32.0162, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320700, 320000, '连云港市', '中国,江苏省,连云港市', '连云港', '中国,江苏,连云港', '2', '0518', '222000', 'Lianyungang', 'LYG', 'L', 119.179, 34.6, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320800, 320000, '淮安市', '中国,江苏省,淮安市', '淮安', '中国,江苏,淮安', '2', '0517', '223000', 'Huai\'an', 'HA', 'H', 119.021, 33.5975, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (320900, 320000, '盐城市', '中国,江苏省,盐城市', '盐城', '中国,江苏,盐城', '2', '0515', '224000', 'Yancheng', 'YC', 'Y', 120.14, 33.3776, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (321000, 320000, '扬州市', '中国,江苏省,扬州市', '扬州', '中国,江苏,扬州', '2', '0514', '225000', 'Yangzhou', 'YZ', 'Y', 119.421, 32.3932, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (321100, 320000, '镇江市', '中国,江苏省,镇江市', '镇江', '中国,江苏,镇江', '2', '0511', '212000', 'Zhenjiang', 'ZJ', 'Z', 119.453, 32.2044, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (321200, 320000, '泰州市', '中国,江苏省,泰州市', '泰州', '中国,江苏,泰州', '2', '0523', '225300', 'Taizhou', 'TZ', 'T', 119.915, 32.4849, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (321300, 320000, '宿迁市', '中国,江苏省,宿迁市', '宿迁', '中国,江苏,宿迁', '2', '0527', '223800', 'Suqian', 'SQ', 'S', 118.293, 33.9452, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330000, 100000, '浙江省', '中国,浙江省', '浙江', '中国,浙江', '1', NULL, NULL, 'Zhejiang', 'ZJ', 'Z', 120.154, 30.2875, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330100, 330000, '杭州市', '中国,浙江省,杭州市', '杭州', '中国,浙江,杭州', '2', '0571', '310000', 'Hangzhou', 'HZ', 'H', 120.154, 30.2875, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330200, 330000, '宁波市', '中国,浙江省,宁波市', '宁波', '中国,浙江,宁波', '2', '0574', '315000', 'Ningbo', 'NB', 'N', 121.55, 29.8684, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330300, 330000, '温州市', '中国,浙江省,温州市', '温州', '中国,浙江,温州', '2', '0577', '325000', 'Wenzhou', 'WZ', 'W', 120.672, 28.0006, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330400, 330000, '嘉兴市', '中国,浙江省,嘉兴市', '嘉兴', '中国,浙江,嘉兴', '2', '0573', '314000', 'Jiaxing', 'JX', 'J', 120.751, 30.7627, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330500, 330000, '湖州市', '中国,浙江省,湖州市', '湖州', '中国,浙江,湖州', '2', '0572', '313000', 'Huzhou', 'HZ', 'H', 120.102, 30.8672, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330600, 330000, '绍兴市', '中国,浙江省,绍兴市', '绍兴', '中国,浙江,绍兴', '2', '0575', '312000', 'Shaoxing', 'SX', 'S', 120.582, 29.9971, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330700, 330000, '金华市', '中国,浙江省,金华市', '金华', '中国,浙江,金华', '2', '0579', '321000', 'Jinhua', 'JH', 'J', 119.65, 29.0895, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330800, 330000, '衢州市', '中国,浙江省,衢州市', '衢州', '中国,浙江,衢州', '2', '0570', '324000', 'Quzhou', 'QZ', 'Q', 118.873, 28.9417, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (330900, 330000, '舟山市', '中国,浙江省,舟山市', '舟山', '中国,浙江,舟山', '2', '0580', '316000', 'Zhoushan', 'ZS', 'Z', 122.107, 30.016, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (331000, 330000, '台州市', '中国,浙江省,台州市', '台州', '中国,浙江,台州', '2', '0576', '318000', 'Taizhou', 'TZ', 'T', 121.429, 28.6614, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (331100, 330000, '丽水市', '中国,浙江省,丽水市', '丽水', '中国,浙江,丽水', '2', '0578', '323000', 'Lishui', 'LS', 'L', 119.922, 28.452, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (331200, 330000, '舟山群岛新区', '中国,浙江省,舟山群岛新区', '舟山新区', '中国,浙江,舟山新区', '2', '0580', '316000', 'Zhoushan', 'ZS', 'Z', 122.318, 29.8132, '国家级新区');
INSERT INTO `t_sha_area_city_code` VALUES (340000, 100000, '安徽省', '中国,安徽省', '安徽', '中国,安徽', '1', NULL, NULL, 'Anhui', 'AH', 'A', 117.283, 31.8612, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340100, 340000, '合肥市', '中国,安徽省,合肥市', '合肥', '中国,安徽,合肥', '2', '0551', '230000', 'Hefei', 'HF', 'H', 117.283, 31.8612, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340200, 340000, '芜湖市', '中国,安徽省,芜湖市', '芜湖', '中国,安徽,芜湖', '2', '0553', '241000', 'Wuhu', 'WH', 'W', 118.376, 31.3263, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340300, 340000, '蚌埠市', '中国,安徽省,蚌埠市', '蚌埠', '中国,安徽,蚌埠', '2', '0552', '233000', 'Bengbu', 'BB', 'B', 117.362, 32.934, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340400, 340000, '淮南市', '中国,安徽省,淮南市', '淮南', '中国,安徽,淮南', '2', '0554', '232000', 'Huainan', 'HN', 'H', 117.025, 32.6459, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340500, 340000, '马鞍山市', '中国,安徽省,马鞍山市', '马鞍山', '中国,安徽,马鞍山', '2', '0555', '243000', 'Ma\'anshan', 'MAS', 'M', 118.508, 31.6894, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340600, 340000, '淮北市', '中国,安徽省,淮北市', '淮北', '中国,安徽,淮北', '2', '0561', '235000', 'Huaibei', 'HB', 'H', 116.795, 33.9717, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340700, 340000, '铜陵市', '中国,安徽省,铜陵市', '铜陵', '中国,安徽,铜陵', '2', '0562', '244000', 'Tongling', 'TL', 'T', 117.817, 30.9299, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (340800, 340000, '安庆市', '中国,安徽省,安庆市', '安庆', '中国,安徽,安庆', '2', '0556', '246000', 'Anqing', 'AQ', 'A', 117.054, 30.5248, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341000, 340000, '黄山市', '中国,安徽省,黄山市', '黄山', '中国,安徽,黄山', '2', '0559', '242700', 'Huangshan', 'HS', 'H', 118.317, 29.7092, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341100, 340000, '滁州市', '中国,安徽省,滁州市', '滁州', '中国,安徽,滁州', '2', '0550', '239000', 'Chuzhou', 'CZ', 'C', 118.316, 32.3036, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341200, 340000, '阜阳市', '中国,安徽省,阜阳市', '阜阳', '中国,安徽,阜阳', '2', '0558', '236000', 'Fuyang', 'FY', 'F', 115.82, 32.897, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341300, 340000, '宿州市', '中国,安徽省,宿州市', '宿州', '中国,安徽,宿州', '2', '0557', '234000', 'Suzhou', 'SZ', 'S', 116.984, 33.6339, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341500, 340000, '六安市', '中国,安徽省,六安市', '六安', '中国,安徽,六安', '2', '0564', '237000', 'Lu\'an', 'LA', 'L', 116.508, 31.7529, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341600, 340000, '亳州市', '中国,安徽省,亳州市', '亳州', '中国,安徽,亳州', '2', '0558', '236000', 'Bozhou', 'BZ', 'B', 115.783, 33.8693, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341700, 340000, '池州市', '中国,安徽省,池州市', '池州', '中国,安徽,池州', '2', '0566', '247100', 'Chizhou', 'CZ', 'C', 117.489, 30.656, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (341800, 340000, '宣城市', '中国,安徽省,宣城市', '宣城', '中国,安徽,宣城', '2', '0563', '242000', 'Xuancheng', 'XC', 'X', 118.758, 30.9457, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350000, 100000, '福建省', '中国,福建省', '福建', '中国,福建', '1', NULL, NULL, 'Fujian', 'FJ', 'F', 119.306, 26.0753, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350100, 350000, '福州市', '中国,福建省,福州市', '福州', '中国,福建,福州', '2', '0591', '350000', 'Fuzhou', 'FZ', 'F', 119.306, 26.0753, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350200, 350000, '厦门市', '中国,福建省,厦门市', '厦门', '中国,福建,厦门', '2', '0592', '361000', 'Xiamen', 'XM', 'X', 118.11, 24.4905, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350300, 350000, '莆田市', '中国,福建省,莆田市', '莆田', '中国,福建,莆田', '2', '0594', '351100', 'Putian', 'PT', 'P', 119.008, 25.431, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350400, 350000, '三明市', '中国,福建省,三明市', '三明', '中国,福建,三明', '2', '0598', '365000', 'Sanming', 'SM', 'S', 117.635, 26.2654, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350500, 350000, '泉州市', '中国,福建省,泉州市', '泉州', '中国,福建,泉州', '2', '0595', '362000', 'Quanzhou', 'QZ', 'Q', 118.589, 24.9089, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350600, 350000, '漳州市', '中国,福建省,漳州市', '漳州', '中国,福建,漳州', '2', '0596', '363000', 'Zhangzhou', 'ZZ', 'Z', 117.662, 24.5109, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350700, 350000, '南平市', '中国,福建省,南平市', '南平', '中国,福建,南平', '2', '0599', '353000', 'Nanping', 'NP', 'N', 118.178, 26.6356, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350800, 350000, '龙岩市', '中国,福建省,龙岩市', '龙岩', '中国,福建,龙岩', '2', '0597', '364000', 'Longyan', 'LY', 'L', 117.03, 25.0916, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (350900, 350000, '宁德市', '中国,福建省,宁德市', '宁德', '中国,福建,宁德', '2', '0593', '352000', 'Ningde', 'ND', 'N', 119.527, 26.6592, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360000, 100000, '江西省', '中国,江西省', '江西', '中国,江西', '1', NULL, NULL, 'Jiangxi', 'JX', 'J', 115.892, 28.6765, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360100, 360000, '南昌市', '中国,江西省,南昌市', '南昌', '中国,江西,南昌', '2', '0791', '330000', 'Nanchang', 'NC', 'N', 115.892, 28.6765, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360200, 360000, '景德镇市', '中国,江西省,景德镇市', '景德镇', '中国,江西,景德镇', '2', '0798', '333000', 'Jingdezhen', 'JDZ', 'J', 117.215, 29.2926, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360300, 360000, '萍乡市', '中国,江西省,萍乡市', '萍乡', '中国,江西,萍乡', '2', '0799', '337000', 'Pingxiang', 'PX', 'P', 113.852, 27.6229, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360400, 360000, '九江市', '中国,江西省,九江市', '九江', '中国,江西,九江', '2', '0792', '332000', 'Jiujiang', 'JJ', 'J', 115.993, 29.712, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360500, 360000, '新余市', '中国,江西省,新余市', '新余', '中国,江西,新余', '2', '0790', '338000', 'Xinyu', 'XY', 'X', 114.931, 27.8108, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360600, 360000, '鹰潭市', '中国,江西省,鹰潭市', '鹰潭', '中国,江西,鹰潭', '2', '0701', '335000', 'Yingtan', 'YT', 'Y', 117.034, 28.2386, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360700, 360000, '赣州市', '中国,江西省,赣州市', '赣州', '中国,江西,赣州', '2', '0797', '341000', 'Ganzhou', 'GZ', 'G', 114.94, 25.851, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360800, 360000, '吉安市', '中国,江西省,吉安市', '吉安', '中国,江西,吉安', '2', '0796', '343000', 'Ji\'an', 'JA', 'J', 114.986, 27.1117, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (360900, 360000, '宜春市', '中国,江西省,宜春市', '宜春', '中国,江西,宜春', '2', '0795', '336000', 'Yichun', 'YC', 'Y', 114.391, 27.8043, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (361000, 360000, '抚州市', '中国,江西省,抚州市', '抚州', '中国,江西,抚州', '2', '0794', '344000', 'Fuzhou', 'FZ', 'F', 116.358, 27.9839, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (361100, 360000, '上饶市', '中国,江西省,上饶市', '上饶', '中国,江西,上饶', '2', '0793', '334000', 'Shangrao', 'SR', 'S', 117.971, 28.4444, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370000, 100000, '山东省', '中国,山东省', '山东', '中国,山东', '1', NULL, NULL, 'Shandong', 'SD', 'S', 117.001, 36.6758, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370100, 370000, '济南市', '中国,山东省,济南市', '济南', '中国,山东,济南', '2', '0531', '250000', 'Jinan', 'JN', 'J', 117.001, 36.6758, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370200, 370000, '青岛市', '中国,山东省,青岛市', '青岛', '中国,山东,青岛', '2', '0532', '266000', 'Qingdao', 'QD', 'Q', 120.37, 36.0944, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370300, 370000, '淄博市', '中国,山东省,淄博市', '淄博', '中国,山东,淄博', '2', '0533', '255000', 'Zibo', 'ZB', 'Z', 118.048, 36.8149, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370400, 370000, '枣庄市', '中国,山东省,枣庄市', '枣庄', '中国,山东,枣庄', '2', '0632', '277000', 'Zaozhuang', 'ZZ', 'Z', 117.558, 34.8564, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370500, 370000, '东营市', '中国,山东省,东营市', '东营', '中国,山东,东营', '2', '0546', '257000', 'Dongying', 'DY', 'D', 118.496, 37.4613, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370600, 370000, '烟台市', '中国,山东省,烟台市', '烟台', '中国,山东,烟台', '2', '0535', '264000', 'Yantai', 'YT', 'Y', 121.391, 37.5393, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370700, 370000, '潍坊市', '中国,山东省,潍坊市', '潍坊', '中国,山东,潍坊', '2', '0536', '261000', 'Weifang', 'WF', 'W', 119.107, 36.7093, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370800, 370000, '济宁市', '中国,山东省,济宁市', '济宁', '中国,山东,济宁', '2', '0537', '272000', 'Jining', 'JN', 'J', 116.587, 35.4154, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (370900, 370000, '泰安市', '中国,山东省,泰安市', '泰安', '中国,山东,泰安', '2', '0538', '271000', 'Tai\'an', 'TA', 'T', 117.129, 36.195, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371000, 370000, '威海市', '中国,山东省,威海市', '威海', '中国,山东,威海', '2', '0631', '264200', 'Weihai', 'WH', 'W', 122.116, 37.5097, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371100, 370000, '日照市', '中国,山东省,日照市', '日照', '中国,山东,日照', '2', '0633', '276800', 'Rizhao', 'RZ', 'R', 119.461, 35.4286, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371200, 370000, '莱芜市', '中国,山东省,莱芜市', '莱芜', '中国,山东,莱芜', '2', '0634', '271100', 'Laiwu', 'LW', 'L', 117.678, 36.2144, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371300, 370000, '临沂市', '中国,山东省,临沂市', '临沂', '中国,山东,临沂', '2', '0539', '276000', 'Linyi', 'LY', 'L', 118.326, 35.0653, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371400, 370000, '德州市', '中国,山东省,德州市', '德州', '中国,山东,德州', '2', '0534', '253000', 'Dezhou', 'DZ', 'D', 116.307, 37.454, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371500, 370000, '聊城市', '中国,山东省,聊城市', '聊城', '中国,山东,聊城', '2', '0635', '252000', 'Liaocheng', 'LC', 'L', 115.98, 36.456, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371600, 370000, '滨州市', '中国,山东省,滨州市', '滨州', '中国,山东,滨州', '2', '0543', '256600', 'Binzhou', 'BZ', 'B', 118.017, 37.3835, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (371700, 370000, '菏泽市', '中国,山东省,菏泽市', '菏泽', '中国,山东,菏泽', '2', '0530', '274000', 'Heze', 'HZ', 'H', 115.469, 35.2465, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410000, 100000, '河南省', '中国,河南省', '河南', '中国,河南', '1', NULL, NULL, 'Henan', 'HA', 'H', 113.665, 34.758, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410100, 410000, '郑州市', '中国,河南省,郑州市', '郑州', '中国,河南,郑州', '2', '0371', '450000', 'Zhengzhou', 'ZZ', 'Z', 113.665, 34.758, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410200, 410000, '开封市', '中国,河南省,开封市', '开封', '中国,河南,开封', '2', '0371', '475000', 'Kaifeng', 'KF', 'K', 114.341, 34.7971, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410300, 410000, '洛阳市', '中国,河南省,洛阳市', '洛阳', '中国,河南,洛阳', '2', '0379', '471000', 'Luoyang', 'LY', 'L', 112.434, 34.663, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410400, 410000, '平顶山市', '中国,河南省,平顶山市', '平顶山', '中国,河南,平顶山', '2', '0375', '467000', 'Pingdingshan', 'PDS', 'P', 113.308, 33.7352, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410500, 410000, '安阳市', '中国,河南省,安阳市', '安阳', '中国,河南,安阳', '2', '0372', '455000', 'Anyang', 'AY', 'A', 114.352, 36.1034, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410600, 410000, '鹤壁市', '中国,河南省,鹤壁市', '鹤壁', '中国,河南,鹤壁', '2', '0392', '458000', 'Hebi', 'HB', 'H', 114.295, 35.7482, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410700, 410000, '新乡市', '中国,河南省,新乡市', '新乡', '中国,河南,新乡', '2', '0373', '453000', 'Xinxiang', 'XX', 'X', 113.884, 35.3026, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410800, 410000, '焦作市', '中国,河南省,焦作市', '焦作', '中国,河南,焦作', '2', '0391', '454000', 'Jiaozuo', 'JZ', 'J', 113.238, 35.239, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (410900, 410000, '濮阳市', '中国,河南省,濮阳市', '濮阳', '中国,河南,濮阳', '2', '0393', '457000', 'Puyang', 'PY', 'P', 115.041, 35.7682, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411000, 410000, '许昌市', '中国,河南省,许昌市', '许昌', '中国,河南,许昌', '2', '0374', '461000', 'Xuchang', 'XC', 'X', 113.826, 34.023, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411100, 410000, '漯河市', '中国,河南省,漯河市', '漯河', '中国,河南,漯河', '2', '0395', '462000', 'Luohe', 'LH', 'L', 114.026, 33.5759, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411200, 410000, '三门峡市', '中国,河南省,三门峡市', '三门峡', '中国,河南,三门峡', '2', '0398', '472000', 'Sanmenxia', 'SMX', 'S', 111.194, 34.7773, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411300, 410000, '南阳市', '中国,河南省,南阳市', '南阳', '中国,河南,南阳', '2', '0377', '473000', 'Nanyang', 'NY', 'N', 112.541, 32.9991, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411400, 410000, '商丘市', '中国,河南省,商丘市', '商丘', '中国,河南,商丘', '2', '0370', '476000', 'Shangqiu', 'SQ', 'S', 115.65, 34.4371, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411500, 410000, '信阳市', '中国,河南省,信阳市', '信阳', '中国,河南,信阳', '2', '0376', '464000', 'Xinyang', 'XY', 'X', 114.075, 32.1233, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411600, 410000, '周口市', '中国,河南省,周口市', '周口', '中国,河南,周口', '2', '0394', '466000', 'Zhoukou', 'ZK', 'Z', 114.65, 33.6204, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (411700, 410000, '驻马店市', '中国,河南省,驻马店市', '驻马店', '中国,河南,驻马店', '2', '0396', '463000', 'Zhumadian', 'ZMD', 'Z', 114.025, 32.9802, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420000, 100000, '湖北省', '中国,湖北省', '湖北', '中国,湖北', '1', NULL, NULL, 'Hubei', 'HB', 'H', 114.299, 30.5844, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420100, 420000, '武汉市', '中国,湖北省,武汉市', '武汉', '中国,湖北,武汉', '2', '027', '430000', 'Wuhan', 'WH', 'W', 114.299, 30.5844, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420200, 420000, '黄石市', '中国,湖北省,黄石市', '黄石', '中国,湖北,黄石', '2', '0714', '435000', 'Huangshi', 'HS', 'H', 115.077, 30.2201, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420300, 420000, '十堰市', '中国,湖北省,十堰市', '十堰', '中国,湖北,十堰', '2', '0719', '442000', 'Shiyan', 'SY', 'S', 110.785, 32.647, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420500, 420000, '宜昌市', '中国,湖北省,宜昌市', '宜昌', '中国,湖北,宜昌', '2', '0717', '443000', 'Yichang', 'YC', 'Y', 111.291, 30.7026, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420600, 420000, '襄阳市', '中国,湖北省,襄阳市', '襄阳', '中国,湖北,襄阳', '2', '0710', '441000', 'Xiangyang', 'XY', 'X', 112.144, 32.0424, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420700, 420000, '鄂州市', '中国,湖北省,鄂州市', '鄂州', '中国,湖北,鄂州', '2', '0711', '436000', 'Ezhou', 'EZ', 'E', 114.891, 30.3965, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420800, 420000, '荆门市', '中国,湖北省,荆门市', '荆门', '中国,湖北,荆门', '2', '0724', '448000', 'Jingmen', 'JM', 'J', 112.204, 31.0354, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (420900, 420000, '孝感市', '中国,湖北省,孝感市', '孝感', '中国,湖北,孝感', '2', '0712', '432000', 'Xiaogan', 'XG', 'X', 113.927, 30.9264, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (421000, 420000, '荆州市', '中国,湖北省,荆州市', '荆州', '中国,湖北,荆州', '2', '0716', '434000', 'Jingzhou', 'JZ', 'J', 112.238, 30.3269, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (421100, 420000, '黄冈市', '中国,湖北省,黄冈市', '黄冈', '中国,湖北,黄冈', '2', '0713', '438000', 'Huanggang', 'HG', 'H', 114.879, 30.4477, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (421200, 420000, '咸宁市', '中国,湖北省,咸宁市', '咸宁', '中国,湖北,咸宁', '2', '0715', '437000', 'Xianning', 'XN', 'X', 114.329, 29.8328, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (421300, 420000, '随州市', '中国,湖北省,随州市', '随州', '中国,湖北,随州', '2', '0722', '441300', 'Suizhou', 'SZ', 'S', 113.374, 31.7175, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (422800, 420000, '恩施土家族苗族自治州', '中国,湖北省,恩施土家族苗族自治州', '恩施', '中国,湖北,恩施', '2', '0718', '445000', 'Enshi', 'ES', 'E', 109.487, 30.2831, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430000, 100000, '湖南省', '中国,湖南省', '湖南', '中国,湖南', '1', NULL, NULL, 'Hunan', 'HN', 'H', 112.982, 28.1941, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430100, 430000, '长沙市', '中国,湖南省,长沙市', '长沙', '中国,湖南,长沙', '2', '0731', '410000', 'Changsha', 'CS', 'C', 112.982, 28.1941, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430200, 430000, '株洲市', '中国,湖南省,株洲市', '株洲', '中国,湖南,株洲', '2', '0731', '412000', 'Zhuzhou', 'ZZ', 'Z', 113.152, 27.8358, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430300, 430000, '湘潭市', '中国,湖南省,湘潭市', '湘潭', '中国,湖南,湘潭', '2', '0731', '411100', 'Xiangtan', 'XT', 'X', 112.925, 27.8467, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430400, 430000, '衡阳市', '中国,湖南省,衡阳市', '衡阳', '中国,湖南,衡阳', '2', '0734', '421000', 'Hengyang', 'HY', 'H', 112.608, 26.9004, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430500, 430000, '邵阳市', '中国,湖南省,邵阳市', '邵阳', '中国,湖南,邵阳', '2', '0739', '422000', 'Shaoyang', 'SY', 'S', 111.469, 27.2378, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430600, 430000, '岳阳市', '中国,湖南省,岳阳市', '岳阳', '中国,湖南,岳阳', '2', '0730', '414000', 'Yueyang', 'YY', 'Y', 113.133, 29.3703, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430700, 430000, '常德市', '中国,湖南省,常德市', '常德', '中国,湖南,常德', '2', '0736', '415000', 'Changde', 'CD', 'C', 111.691, 29.0402, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430800, 430000, '张家界市', '中国,湖南省,张家界市', '张家界', '中国,湖南,张家界', '2', '0744', '427000', 'Zhangjiajie', 'ZJJ', 'Z', 110.48, 29.1274, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (430900, 430000, '益阳市', '中国,湖南省,益阳市', '益阳', '中国,湖南,益阳', '2', '0737', '413000', 'Yiyang', 'YY', 'Y', 112.355, 28.5701, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (431000, 430000, '郴州市', '中国,湖南省,郴州市', '郴州', '中国,湖南,郴州', '2', '0735', '423000', 'Chenzhou', 'CZ', 'C', 113.032, 25.7936, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (431100, 430000, '永州市', '中国,湖南省,永州市', '永州', '中国,湖南,永州', '2', '0746', '425000', 'Yongzhou', 'YZ', 'Y', 111.608, 26.4345, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (431200, 430000, '怀化市', '中国,湖南省,怀化市', '怀化', '中国,湖南,怀化', '2', '0745', '418000', 'Huaihua', 'HH', 'H', 109.978, 27.5501, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (431300, 430000, '娄底市', '中国,湖南省,娄底市', '娄底', '中国,湖南,娄底', '2', '0738', '417000', 'Loudi', 'LD', 'L', 112.008, 27.7281, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (433100, 430000, '湘西土家族苗族自治州', '中国,湖南省,湘西土家族苗族自治州', '湘西', '中国,湖南,湘西', '2', '0743', '416000', 'Xiangxi', 'XX', 'X', 109.74, 28.3143, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440000, 100000, '广东省', '中国,广东省', '广东', '中国,广东', '1', NULL, NULL, 'Guangdong', 'GD', 'G', 113.281, 23.1252, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440100, 440000, '广州市', '中国,广东省,广州市', '广州', '中国,广东,广州', '2', '020', '510000', 'Guangzhou', 'GZ', 'G', 113.281, 23.1252, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440200, 440000, '韶关市', '中国,广东省,韶关市', '韶关', '中国,广东,韶关', '2', '0751', '512000', 'Shaoguan', 'SG', 'S', 113.592, 24.8013, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440300, 440000, '深圳市', '中国,广东省,深圳市', '深圳', '中国,广东,深圳', '2', '0755', '518000', 'Shenzhen', 'SZ', 'S', 114.086, 22.547, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440400, 440000, '珠海市', '中国,广东省,珠海市', '珠海', '中国,广东,珠海', '2', '0756', '519000', 'Zhuhai', 'ZH', 'Z', 113.553, 22.2559, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440500, 440000, '汕头市', '中国,广东省,汕头市', '汕头', '中国,广东,汕头', '2', '0754', '515000', 'Shantou', 'ST', 'S', 116.708, 23.371, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440600, 440000, '佛山市', '中国,广东省,佛山市', '佛山', '中国,广东,佛山', '2', '0757', '528000', 'Foshan', 'FS', 'F', 113.123, 23.0288, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440700, 440000, '江门市', '中国,广东省,江门市', '江门', '中国,广东,江门', '2', '0750', '529000', 'Jiangmen', 'JM', 'J', 113.095, 22.5904, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440800, 440000, '湛江市', '中国,广东省,湛江市', '湛江', '中国,广东,湛江', '2', '0759', '524000', 'Zhanjiang', 'ZJ', 'Z', 110.406, 21.1953, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (440900, 440000, '茂名市', '中国,广东省,茂名市', '茂名', '中国,广东,茂名', '2', '0668', '525000', 'Maoming', 'MM', 'M', 110.919, 21.6598, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441200, 440000, '肇庆市', '中国,广东省,肇庆市', '肇庆', '中国,广东,肇庆', '2', '0758', '526000', 'Zhaoqing', 'ZQ', 'Z', 112.473, 23.0515, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441300, 440000, '惠州市', '中国,广东省,惠州市', '惠州', '中国,广东,惠州', '2', '0752', '516000', 'Huizhou', 'HZ', 'H', 114.413, 23.0794, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441400, 440000, '梅州市', '中国,广东省,梅州市', '梅州', '中国,广东,梅州', '2', '0753', '514000', 'Meizhou', 'MZ', 'M', 116.118, 24.2991, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441500, 440000, '汕尾市', '中国,广东省,汕尾市', '汕尾', '中国,广东,汕尾', '2', '0660', '516600', 'Shanwei', 'SW', 'S', 115.364, 22.7745, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441600, 440000, '河源市', '中国,广东省,河源市', '河源', '中国,广东,河源', '2', '0762', '517000', 'Heyuan', 'HY', 'H', 114.698, 23.7463, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441700, 440000, '阳江市', '中国,广东省,阳江市', '阳江', '中国,广东,阳江', '2', '0662', '529500', 'Yangjiang', 'YJ', 'Y', 111.975, 21.8592, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441800, 440000, '清远市', '中国,广东省,清远市', '清远', '中国,广东,清远', '2', '0763', '511500', 'Qingyuan', 'QY', 'Q', 113.037, 23.7042, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (441900, 440000, '东莞市', '中国,广东省,东莞市', '东莞', '中国,广东,东莞', '2', '0769', '523000', 'Dongguan', 'DG', 'D', 113.76, 23.0489, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (442000, 440000, '中山市', '中国,广东省,中山市', '中山', '中国,广东,中山', '2', '0760', '528400', 'Zhongshan', 'ZS', 'Z', 113.382, 22.5211, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (445100, 440000, '潮州市', '中国,广东省,潮州市', '潮州', '中国,广东,潮州', '2', '0768', '521000', 'Chaozhou', 'CZ', 'C', 116.632, 23.6617, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (445200, 440000, '揭阳市', '中国,广东省,揭阳市', '揭阳', '中国,广东,揭阳', '2', '0663', '522000', 'Jieyang', 'JY', 'J', 116.356, 23.5438, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (445300, 440000, '云浮市', '中国,广东省,云浮市', '云浮', '中国,广东,云浮', '2', '0766', '527300', 'Yunfu', 'YF', 'Y', 112.044, 22.9298, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450000, 100000, '广西壮族自治区', '中国,广西壮族自治区', '广西', '中国,广西', '1', NULL, NULL, 'Guangxi', 'GX', 'G', 108.32, 22.824, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450100, 450000, '南宁市', '中国,广西壮族自治区,南宁市', '南宁', '中国,广西,南宁', '2', '0771', '530000', 'Nanning', 'NN', 'N', 108.32, 22.824, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450200, 450000, '柳州市', '中国,广西壮族自治区,柳州市', '柳州', '中国,广西,柳州', '2', '0772', '545000', 'Liuzhou', 'LZ', 'L', 109.412, 24.3146, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450300, 450000, '桂林市', '中国,广西壮族自治区,桂林市', '桂林', '中国,广西,桂林', '2', '0773', '541000', 'Guilin', 'GL', 'G', 110.299, 25.2742, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450400, 450000, '梧州市', '中国,广西壮族自治区,梧州市', '梧州', '中国,广西,梧州', '2', '0774', '543000', 'Wuzhou', 'WZ', 'W', 111.316, 23.4723, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450500, 450000, '北海市', '中国,广西壮族自治区,北海市', '北海', '中国,广西,北海', '2', '0779', '536000', 'Beihai', 'BH', 'B', 109.119, 21.4733, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450600, 450000, '防城港市', '中国,广西壮族自治区,防城港市', '防城港', '中国,广西,防城港', '2', '0770', '538000', 'Fangchenggang', 'FCG', 'F', 108.345, 21.6146, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450700, 450000, '钦州市', '中国,广西壮族自治区,钦州市', '钦州', '中国,广西,钦州', '2', '0777', '535000', 'Qinzhou', 'QZ', 'Q', 108.624, 21.9671, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450800, 450000, '贵港市', '中国,广西壮族自治区,贵港市', '贵港', '中国,广西,贵港', '2', '0775', '537100', 'Guigang', 'GG', 'G', 109.602, 23.0936, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (450900, 450000, '玉林市', '中国,广西壮族自治区,玉林市', '玉林', '中国,广西,玉林', '2', '0775', '537000', 'Yulin', 'YL', 'Y', 110.154, 22.6314, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (451000, 450000, '百色市', '中国,广西壮族自治区,百色市', '百色', '中国,广西,百色', '2', '0776', '533000', 'Baise', 'BS', 'B', 106.616, 23.8977, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (451100, 450000, '贺州市', '中国,广西壮族自治区,贺州市', '贺州', '中国,广西,贺州', '2', '0774', '542800', 'Hezhou', 'HZ', 'H', 111.552, 24.4141, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (451200, 450000, '河池市', '中国,广西壮族自治区,河池市', '河池', '中国,广西,河池', '2', '0778', '547000', 'Hechi', 'HC', 'H', 108.062, 24.6959, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (451300, 450000, '来宾市', '中国,广西壮族自治区,来宾市', '来宾', '中国,广西,来宾', '2', '0772', '546100', 'Laibin', 'LB', 'L', 109.23, 23.7338, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (451400, 450000, '崇左市', '中国,广西壮族自治区,崇左市', '崇左', '中国,广西,崇左', '2', '0771', '532200', 'Chongzuo', 'CZ', 'C', 107.354, 22.4041, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (460000, 100000, '海南省', '中国,海南省', '海南', '中国,海南', '1', NULL, NULL, 'Hainan', 'HI', 'H', 110.331, 20.032, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (460100, 460000, '海口市', '中国,海南省,海口市', '海口', '中国,海南,海口', '2', '0898', '570000', 'Haikou', 'HK', 'H', 110.331, 20.032, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (460200, 460000, '三亚市', '中国,海南省,三亚市', '三亚', '中国,海南,三亚', '2', '0898', '572000', 'Sanya', 'SY', 'S', 109.508, 18.2479, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (460300, 460000, '三沙市', '中国,海南省,三沙市', '三沙', '中国,海南,三沙', '2', '0898', '573199', 'Sansha', 'SS', 'S', 112.349, 16.831, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (460400, 460000, '儋州市', '中国,海南省,儋州市', '儋州', '中国,海南,儋州', '2', '0898', '571700', 'Danzhou', 'DZ', 'D', 109.577, 19.5175, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (500000, 100000, '重庆', '中国,重庆', '重庆', '中国,重庆', '1', NULL, NULL, 'Chongqing', 'CQ', 'C', 106.505, 29.5332, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (500100, 500000, '重庆市', '中国,重庆,重庆市', '重庆', '中国,重庆,重庆', '2', '023', '400000', 'Chongqing', 'CQ', 'C', 106.505, 29.5332, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (500300, 500100, '两江新区', '中国,重庆,重庆市,两江新区', '两江新区', '中国,重庆,重庆,两江新区', '3', '023', '401147', 'Liangjiangxinqu', 'LJXQ', 'L', 106.463, 29.7292, '国家级新区');
INSERT INTO `t_sha_area_city_code` VALUES (510000, 100000, '四川省', '中国,四川省', '四川', '中国,四川', '1', NULL, NULL, 'Sichuan', 'SC', 'S', 104.066, 30.6595, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510100, 510000, '成都市', '中国,四川省,成都市', '成都', '中国,四川,成都', '2', '028', '610000', 'Chengdu', 'CD', 'C', 104.066, 30.6595, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510300, 510000, '自贡市', '中国,四川省,自贡市', '自贡', '中国,四川,自贡', '2', '0813', '643000', 'Zigong', 'ZG', 'Z', 104.773, 29.3528, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510400, 510000, '攀枝花市', '中国,四川省,攀枝花市', '攀枝花', '中国,四川,攀枝花', '2', '0812', '617000', 'Panzhihua', 'PZH', 'P', 101.716, 26.5804, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510500, 510000, '泸州市', '中国,四川省,泸州市', '泸州', '中国,四川,泸州', '2', '0830', '646000', 'Luzhou', 'LZ', 'L', 105.443, 28.8891, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510600, 510000, '德阳市', '中国,四川省,德阳市', '德阳', '中国,四川,德阳', '2', '0838', '618000', 'Deyang', 'DY', 'D', 104.399, 31.128, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510700, 510000, '绵阳市', '中国,四川省,绵阳市', '绵阳', '中国,四川,绵阳', '2', '0816', '621000', 'Mianyang', 'MY', 'M', 104.742, 31.464, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510800, 510000, '广元市', '中国,四川省,广元市', '广元', '中国,四川,广元', '2', '0839', '628000', 'Guangyuan', 'GY', 'G', 105.83, 32.4337, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (510900, 510000, '遂宁市', '中国,四川省,遂宁市', '遂宁', '中国,四川,遂宁', '2', '0825', '629000', 'Suining', 'SN', 'S', 105.571, 30.5133, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511000, 510000, '内江市', '中国,四川省,内江市', '内江', '中国,四川,内江', '2', '0832', '641000', 'Neijiang', 'NJ', 'N', 105.066, 29.5871, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511100, 510000, '乐山市', '中国,四川省,乐山市', '乐山', '中国,四川,乐山', '2', '0833', '614000', 'Leshan', 'LS', 'L', 103.761, 29.582, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511300, 510000, '南充市', '中国,四川省,南充市', '南充', '中国,四川,南充', '2', '0817', '637000', 'Nanchong', 'NC', 'N', 106.083, 30.7953, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511400, 510000, '眉山市', '中国,四川省,眉山市', '眉山', '中国,四川,眉山', '2', '028', '620000', 'Meishan', 'MS', 'M', 103.832, 30.0483, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511500, 510000, '宜宾市', '中国,四川省,宜宾市', '宜宾', '中国,四川,宜宾', '2', '0831', '644000', 'Yibin', 'YB', 'Y', 104.631, 28.7602, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511600, 510000, '广安市', '中国,四川省,广安市', '广安', '中国,四川,广安', '2', '0826', '638000', 'Guang\'an', 'GA', 'G', 106.633, 30.4564, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511700, 510000, '达州市', '中国,四川省,达州市', '达州', '中国,四川,达州', '2', '0818', '635000', 'Dazhou', 'DZ', 'D', 107.502, 31.2095, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511800, 510000, '雅安市', '中国,四川省,雅安市', '雅安', '中国,四川,雅安', '2', '0835', '625000', 'Ya\'an', 'YA', 'Y', 103.001, 29.9877, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (511900, 510000, '巴中市', '中国,四川省,巴中市', '巴中', '中国,四川,巴中', '2', '0827', '636600', 'Bazhong', 'BZ', 'B', 106.754, 31.8588, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (512000, 510000, '资阳市', '中国,四川省,资阳市', '资阳', '中国,四川,资阳', '2', '028', '641300', 'Ziyang', 'ZY', 'Z', 104.642, 30.1222, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (513200, 510000, '阿坝藏族羌族自治州', '中国,四川省,阿坝藏族羌族自治州', '阿坝', '中国,四川,阿坝', '2', '0837', '624000', 'Aba', 'AB', 'A', 102.221, 31.8998, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (513300, 510000, '甘孜藏族自治州', '中国,四川省,甘孜藏族自治州', '甘孜', '中国,四川,甘孜', '2', '0836', '626000', 'Garze', 'GZ', 'G', 101.964, 30.0507, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (513400, 510000, '凉山彝族自治州', '中国,四川省,凉山彝族自治州', '凉山', '中国,四川,凉山', '2', '0834', '615000', 'Liangshan', 'LS', 'L', 102.259, 27.8868, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520000, 100000, '贵州省', '中国,贵州省', '贵州', '中国,贵州', '1', NULL, NULL, 'Guizhou', 'GZ', 'G', 106.713, 26.5783, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520100, 520000, '贵阳市', '中国,贵州省,贵阳市', '贵阳', '中国,贵州,贵阳', '2', '0851', '550000', 'Guiyang', 'GY', 'G', 106.713, 26.5783, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520200, 520000, '六盘水市', '中国,贵州省,六盘水市', '六盘水', '中国,贵州,六盘水', '2', '0858', '553000', 'Liupanshui', 'LPS', 'L', 104.847, 26.5846, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520300, 520000, '遵义市', '中国,贵州省,遵义市', '遵义', '中国,贵州,遵义', '2', '0851', '563000', 'Zunyi', 'ZY', 'Z', 106.937, 27.7066, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520400, 520000, '安顺市', '中国,贵州省,安顺市', '安顺', '中国,贵州,安顺', '2', '0851', '561000', 'Anshun', 'AS', 'A', 105.932, 26.2455, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520500, 520000, '毕节市', '中国,贵州省,毕节市', '毕节', '中国,贵州,毕节', '2', '0857', '551700', 'Bijie', 'BJ', 'B', 105.285, 27.3017, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (520600, 520000, '铜仁市', '中国,贵州省,铜仁市', '铜仁', '中国,贵州,铜仁', '2', '0856', '554300', 'Tongren', 'TR', 'T', 109.192, 27.7183, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (522300, 520000, '黔西南布依族苗族自治州', '中国,贵州省,黔西南布依族苗族自治州', '黔西南', '中国,贵州,黔西南', '2', '0859', '562400', 'Qianxinan', 'QXN', 'Q', 104.898, 25.0881, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (522600, 520000, '黔东南苗族侗族自治州', '中国,贵州省,黔东南苗族侗族自治州', '黔东南', '中国,贵州,黔东南', '2', '0855', '556000', 'Qiandongnan', 'QDN', 'Q', 107.977, 26.5834, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (522700, 520000, '黔南布依族苗族自治州', '中国,贵州省,黔南布依族苗族自治州', '黔南', '中国,贵州,黔南', '2', '0854', '558000', 'Qiannan', 'QN', 'Q', 107.517, 26.2582, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530000, 100000, '云南省', '中国,云南省', '云南', '中国,云南', '1', NULL, NULL, 'Yunnan', 'YN', 'Y', 102.712, 25.0406, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530100, 530000, '昆明市', '中国,云南省,昆明市', '昆明', '中国,云南,昆明', '2', '0871', '650000', 'Kunming', 'KM', 'K', 102.712, 25.0406, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530300, 530000, '曲靖市', '中国,云南省,曲靖市', '曲靖', '中国,云南,曲靖', '2', '0874', '655000', 'Qujing', 'QJ', 'Q', 103.798, 25.5016, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530400, 530000, '玉溪市', '中国,云南省,玉溪市', '玉溪', '中国,云南,玉溪', '2', '0877', '653100', 'Yuxi', 'YX', 'Y', 102.544, 24.3505, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530500, 530000, '保山市', '中国,云南省,保山市', '保山', '中国,云南,保山', '2', '0875', '678000', 'Baoshan', 'BS', 'B', 99.1671, 25.1118, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530600, 530000, '昭通市', '中国,云南省,昭通市', '昭通', '中国,云南,昭通', '2', '0870', '657000', 'Zhaotong', 'ZT', 'Z', 103.717, 27.337, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530700, 530000, '丽江市', '中国,云南省,丽江市', '丽江', '中国,云南,丽江', '2', '0888', '674100', 'Lijiang', 'LJ', 'L', 100.233, 26.8721, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530800, 530000, '普洱市', '中国,云南省,普洱市', '普洱', '中国,云南,普洱', '2', '0879', '665000', 'Pu\'er', 'PE', 'P', 100.972, 22.7773, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (530900, 530000, '临沧市', '中国,云南省,临沧市', '临沧', '中国,云南,临沧', '2', '0883', '677000', 'Lincang', 'LC', 'L', 100.087, 23.8866, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (532300, 530000, '楚雄彝族自治州', '中国,云南省,楚雄彝族自治州', '楚雄', '中国,云南,楚雄', '2', '0878', '675000', 'Chuxiong', 'CX', 'C', 101.546, 25.042, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (532500, 530000, '红河哈尼族彝族自治州', '中国,云南省,红河哈尼族彝族自治州', '红河', '中国,云南,红河', '2', '0873', '661400', 'Honghe', 'HH', 'H', 103.384, 23.3668, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (532600, 530000, '文山壮族苗族自治州', '中国,云南省,文山壮族苗族自治州', '文山', '中国,云南,文山', '2', '0876', '663000', 'Wenshan', 'WS', 'W', 104.244, 23.3695, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (532800, 530000, '西双版纳傣族自治州', '中国,云南省,西双版纳傣族自治州', '西双版纳', '中国,云南,西双版纳', '2', '0691', '666100', 'Xishuangbanna', 'XSBN', 'X', 100.798, 22.0017, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (532900, 530000, '大理白族自治州', '中国,云南省,大理白族自治州', '大理', '中国,云南,大理', '2', '0872', '671000', 'Dali', 'DL', 'D', 100.24, 25.5928, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (533100, 530000, '德宏傣族景颇族自治州', '中国,云南省,德宏傣族景颇族自治州', '德宏', '中国,云南,德宏', '2', '0692', '678400', 'Dehong', 'DH', 'D', 98.5784, 24.4367, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (533300, 530000, '怒江傈僳族自治州', '中国,云南省,怒江傈僳族自治州', '怒江', '中国,云南,怒江', '2', '0886', '673100', 'Nujiang', 'NJ', 'N', 98.8543, 25.8509, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (533400, 530000, '迪庆藏族自治州', '中国,云南省,迪庆藏族自治州', '迪庆', '中国,云南,迪庆', '2', '0887', '674400', 'Deqen', 'DQ', 'D', 99.7065, 27.8269, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (540000, 100000, '西藏自治区', '中国,西藏自治区', '西藏', '中国,西藏', '1', NULL, NULL, 'Tibet', 'XZ', 'T', 91.1322, 29.6604, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (540100, 540000, '拉萨市', '中国,西藏自治区,拉萨市', '拉萨', '中国,西藏,拉萨', '2', '0891', '850000', 'Lhasa', 'LS', 'L', 91.1322, 29.6604, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (540200, 540000, '日喀则市', '中国,西藏自治区,日喀则市', '日喀则', '中国,西藏,日喀则', '2', '0892', '857000', 'Rikaze', 'RKZ', 'R', 88.8849, 29.2638, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (540300, 540000, '昌都市', '中国,西藏自治区,昌都市', '昌都', '中国,西藏,昌都', '2', '0895', '854000', 'Qamdo', 'CD', 'Q', 97.1785, 31.1369, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (540400, 540000, '林芝市', '中国,西藏自治区,林芝市', '林芝', '中国,西藏,林芝', '2', '0894', '860000', 'Nyingchi', 'LZ', 'N', 94.3624, 29.6547, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (540500, 540000, '山南市', '中国,西藏自治区,山南市', '山南', '中国,西藏,山南', '2', '0893', '856000', 'Shannan', 'SN', 'S', 91.7665, 29.236, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (542400, 540000, '那曲地区', '中国,西藏自治区,那曲地区', '那曲', '中国,西藏,那曲', '2', '0896', '852000', 'Nagqu', 'NQ', 'N', 92.0602, 31.476, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (542500, 540000, '阿里地区', '中国,西藏自治区,阿里地区', '阿里', '中国,西藏,阿里', '2', '0897', '859000', 'Ngari', 'AL', 'N', 80.1055, 32.5032, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610000, 100000, '陕西省', '中国,陕西省', '陕西', '中国,陕西', '1', NULL, NULL, 'Shaanxi', 'SN', 'S', 108.948, 34.2632, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610100, 610000, '西安市', '中国,陕西省,西安市', '西安', '中国,陕西,西安', '2', '029', '710000', 'Xi\'an', 'XA', 'X', 108.948, 34.2632, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610200, 610000, '铜川市', '中国,陕西省,铜川市', '铜川', '中国,陕西,铜川', '2', '0919', '727000', 'Tongchuan', 'TC', 'T', 108.963, 34.9089, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610300, 610000, '宝鸡市', '中国,陕西省,宝鸡市', '宝鸡', '中国,陕西,宝鸡', '2', '0917', '721000', 'Baoji', 'BJ', 'B', 107.145, 34.3693, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610400, 610000, '咸阳市', '中国,陕西省,咸阳市', '咸阳', '中国,陕西,咸阳', '2', '029', '712000', 'Xianyang', 'XY', 'X', 108.705, 34.3334, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610500, 610000, '渭南市', '中国,陕西省,渭南市', '渭南', '中国,陕西,渭南', '2', '0913', '714000', 'Weinan', 'WN', 'W', 109.503, 34.4994, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610600, 610000, '延安市', '中国,陕西省,延安市', '延安', '中国,陕西,延安', '2', '0911', '716000', 'Yan\'an', 'YA', 'Y', 109.491, 36.5965, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610700, 610000, '汉中市', '中国,陕西省,汉中市', '汉中', '中国,陕西,汉中', '2', '0916', '723000', 'Hanzhong', 'HZ', 'H', 107.029, 33.0777, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610800, 610000, '榆林市', '中国,陕西省,榆林市', '榆林', '中国,陕西,榆林', '2', '0912', '719000', 'Yulin', 'YL', 'Y', 109.741, 38.2902, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (610900, 610000, '安康市', '中国,陕西省,安康市', '安康', '中国,陕西,安康', '2', '0915', '725000', 'Ankang', 'AK', 'A', 109.029, 32.6903, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (611000, 610000, '商洛市', '中国,陕西省,商洛市', '商洛', '中国,陕西,商洛', '2', '0914', '726000', 'Shangluo', 'SL', 'S', 109.94, 33.8683, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620000, 100000, '甘肃省', '中国,甘肃省', '甘肃', '中国,甘肃', '1', NULL, NULL, 'Gansu', 'GS', 'G', 103.824, 36.058, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620100, 620000, '兰州市', '中国,甘肃省,兰州市', '兰州', '中国,甘肃,兰州', '2', '0931', '730000', 'Lanzhou', 'LZ', 'L', 103.824, 36.058, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620200, 620000, '嘉峪关市', '中国,甘肃省,嘉峪关市', '嘉峪关', '中国,甘肃,嘉峪关', '2', '0937', '735100', 'Jiayuguan', 'JYG', 'J', 98.2773, 39.7865, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620300, 620000, '金昌市', '中国,甘肃省,金昌市', '金昌', '中国,甘肃,金昌', '2', '0935', '737100', 'Jinchang', 'JC', 'J', 102.188, 38.5142, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620400, 620000, '白银市', '中国,甘肃省,白银市', '白银', '中国,甘肃,白银', '2', '0943', '730900', 'Baiyin', 'BY', 'B', 104.174, 36.5457, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620500, 620000, '天水市', '中国,甘肃省,天水市', '天水', '中国,甘肃,天水', '2', '0938', '741000', 'Tianshui', 'TS', 'T', 105.725, 34.5785, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620600, 620000, '武威市', '中国,甘肃省,武威市', '武威', '中国,甘肃,武威', '2', '0935', '733000', 'Wuwei', 'WW', 'W', 102.635, 37.93, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620700, 620000, '张掖市', '中国,甘肃省,张掖市', '张掖', '中国,甘肃,张掖', '2', '0936', '734000', 'Zhangye', 'ZY', 'Z', 100.455, 38.9329, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620800, 620000, '平凉市', '中国,甘肃省,平凉市', '平凉', '中国,甘肃,平凉', '2', '0933', '744000', 'Pingliang', 'PL', 'P', 106.685, 35.5428, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (620900, 620000, '酒泉市', '中国,甘肃省,酒泉市', '酒泉', '中国,甘肃,酒泉', '2', '0937', '735000', 'Jiuquan', 'JQ', 'J', 98.5108, 39.744, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (621000, 620000, '庆阳市', '中国,甘肃省,庆阳市', '庆阳', '中国,甘肃,庆阳', '2', '0934', '745000', 'Qingyang', 'QY', 'Q', 107.638, 35.7342, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (621100, 620000, '定西市', '中国,甘肃省,定西市', '定西', '中国,甘肃,定西', '2', '0932', '743000', 'Dingxi', 'DX', 'D', 104.626, 35.5796, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (621200, 620000, '陇南市', '中国,甘肃省,陇南市', '陇南', '中国,甘肃,陇南', '2', '0939', '742500', 'Longnan', 'LN', 'L', 104.929, 33.3886, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (622900, 620000, '临夏回族自治州', '中国,甘肃省,临夏回族自治州', '临夏', '中国,甘肃,临夏', '2', '0930', '731100', 'Linxia', 'LX', 'L', 103.212, 35.5994, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (623000, 620000, '甘南藏族自治州', '中国,甘肃省,甘南藏族自治州', '甘南', '中国,甘肃,甘南', '2', '0941', '747000', 'Gannan', 'GN', 'G', 102.911, 34.9864, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (630000, 100000, '青海省', '中国,青海省', '青海', '中国,青海', '1', NULL, NULL, 'Qinghai', 'QH', 'Q', 101.779, 36.6232, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (630100, 630000, '西宁市', '中国,青海省,西宁市', '西宁', '中国,青海,西宁', '2', '0971', '810000', 'Xining', 'XN', 'X', 101.779, 36.6232, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (630200, 630000, '海东市', '中国,青海省,海东市', '海东', '中国,青海,海东', '2', '0972', '810600', 'Haidong', 'HD', 'H', 102.103, 36.5029, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (632200, 630000, '海北藏族自治州', '中国,青海省,海北藏族自治州', '海北', '中国,青海,海北', '2', '0970', '812200', 'Haibei', 'HB', 'H', 100.901, 36.9594, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (632300, 630000, '黄南藏族自治州', '中国,青海省,黄南藏族自治州', '黄南', '中国,青海,黄南', '2', '0973', '811300', 'Huangnan', 'HN', 'H', 102.02, 35.5177, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (632500, 630000, '海南藏族自治州', '中国,青海省,海南藏族自治州', '海南', '中国,青海,海南', '2', '0974', '813000', 'Hainan', 'HN', 'H', 100.62, 36.2804, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (632600, 630000, '果洛藏族自治州', '中国,青海省,果洛藏族自治州', '果洛', '中国,青海,果洛', '2', '0975', '814000', 'Golog', 'GL', 'G', 100.242, 34.4736, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (632700, 630000, '玉树藏族自治州', '中国,青海省,玉树藏族自治州', '玉树', '中国,青海,玉树', '2', '0976', '815000', 'Yushu', 'YS', 'Y', 97.0085, 33.004, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (632800, 630000, '海西蒙古族藏族自治州', '中国,青海省,海西蒙古族藏族自治州', '海西', '中国,青海,海西', '2', '0977', '817000', 'Haixi', 'HX', 'H', 97.3708, 37.3747, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (640000, 100000, '宁夏回族自治区', '中国,宁夏回族自治区', '宁夏', '中国,宁夏', '1', NULL, NULL, 'Ningxia', 'NX', 'N', 106.278, 38.4664, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (640100, 640000, '银川市', '中国,宁夏回族自治区,银川市', '银川', '中国,宁夏,银川', '2', '0951', '750000', 'Yinchuan', 'YC', 'Y', 106.278, 38.4664, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (640200, 640000, '石嘴山市', '中国,宁夏回族自治区,石嘴山市', '石嘴山', '中国,宁夏,石嘴山', '2', '0952', '753000', 'Shizuishan', 'SZS', 'S', 106.376, 39.0133, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (640300, 640000, '吴忠市', '中国,宁夏回族自治区,吴忠市', '吴忠', '中国,宁夏,吴忠', '2', '0953', '751100', 'Wuzhong', 'WZ', 'W', 106.199, 37.9862, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (640400, 640000, '固原市', '中国,宁夏回族自治区,固原市', '固原', '中国,宁夏,固原', '2', '0954', '756000', 'Guyuan', 'GY', 'G', 106.285, 36.0046, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (640500, 640000, '中卫市', '中国,宁夏回族自治区,中卫市', '中卫', '中国,宁夏,中卫', '2', '0955', '755000', 'Zhongwei', 'ZW', 'Z', 105.19, 37.5149, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (650000, 100000, '新疆维吾尔自治区', '中国,新疆维吾尔自治区', '新疆', '中国,新疆', '1', NULL, NULL, 'Xinjiang', 'XJ', 'X', 87.6177, 43.7928, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (650100, 650000, '乌鲁木齐市', '中国,新疆维吾尔自治区,乌鲁木齐市', '乌鲁木齐', '中国,新疆,乌鲁木齐', '2', '0991', '830000', 'Urumqi', 'WLMQ', 'U', 87.6177, 43.7928, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (650200, 650000, '克拉玛依市', '中国,新疆维吾尔自治区,克拉玛依市', '克拉玛依', '中国,新疆,克拉玛依', '2', '0990', '834000', 'Karamay', 'KLMY', 'K', 84.8739, 45.5959, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (650400, 650000, '吐鲁番市', '中国,新疆维吾尔自治区,吐鲁番市', '吐鲁番', '中国,新疆,吐鲁番', '2', '0995', '838000', 'Turpan', 'TLF', 'T', 89.1841, 42.9476, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (650500, 650000, '哈密市', '中国,新疆维吾尔自治区,哈密市', '哈密', '中国,新疆,哈密', '2', '0902', '839000', 'Hami', 'HM', 'H', 93.5132, 42.8332, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (652300, 650000, '昌吉回族自治州', '中国,新疆维吾尔自治区,昌吉回族自治州', '昌吉', '中国,新疆,昌吉', '2', '0994', '831100', 'Changji', 'CJ', 'C', 87.304, 44.0146, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (652700, 650000, '博尔塔拉蒙古自治州', '中国,新疆维吾尔自治区,博尔塔拉蒙古自治州', '博尔塔拉', '中国,新疆,博尔塔拉', '2', '0909', '833400', 'Bortala', 'BETL', 'B', 82.0748, 44.9033, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (652800, 650000, '巴音郭楞蒙古自治州', '中国,新疆维吾尔自治区,巴音郭楞蒙古自治州', '巴音郭楞', '中国,新疆,巴音郭楞', '2', '0996', '841000', 'Bayingol', 'BYGL', 'B', 86.151, 41.7686, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (652900, 650000, '阿克苏地区', '中国,新疆维吾尔自治区,阿克苏地区', '阿克苏', '中国,新疆,阿克苏', '2', '0997', '843000', 'Aksu', 'AKS', 'A', 80.2651, 41.1707, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (653000, 650000, '克孜勒苏柯尔克孜自治州', '中国,新疆维吾尔自治区,克孜勒苏柯尔克孜自治州', '克孜勒苏', '中国,新疆,克孜勒苏', '2', '0908', '845350', 'Kizilsu', 'KZLS', 'K', 76.1728, 39.7134, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (653100, 650000, '喀什地区', '中国,新疆维吾尔自治区,喀什地区', '喀什', '中国,新疆,喀什', '2', '0998', '844000', 'Kashgar', 'KS', 'K', 75.9891, 39.4677, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (653200, 650000, '和田地区', '中国,新疆维吾尔自治区,和田地区', '和田', '中国,新疆,和田', '2', '0903', '848000', 'Hotan', 'HT', 'H', 79.9253, 37.1107, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (654000, 650000, '伊犁哈萨克自治州', '中国,新疆维吾尔自治区,伊犁哈萨克自治州', '伊犁', '中国,新疆,伊犁', '2', '0999', '835000', 'Ili', 'YL', 'I', 81.3179, 43.9219, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (654200, 650000, '塔城地区', '中国,新疆维吾尔自治区,塔城地区', '塔城', '中国,新疆,塔城', '2', '0901', '834700', 'Qoqek', 'TC', 'Q', 82.9857, 46.7463, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (654300, 650000, '阿勒泰地区', '中国,新疆维吾尔自治区,阿勒泰地区', '阿勒泰', '中国,新疆,阿勒泰', '2', '0906', '836500', 'Altay', 'ALT', 'A', 88.1396, 47.8484, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710000, 100000, '台湾', '中国,台湾', '台湾', '中国,台湾', '1', NULL, NULL, 'Taiwan', 'TW', 'T', 121.509, 25.0443, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710100, 710000, '台北市', '中国,台湾,台北市', '台北', '中国,台湾,台北', '2', '02', '1', 'Taipei', 'TB', 'T', 121.565, 25.0378, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710200, 710000, '高雄市', '中国,台湾,高雄市', '高雄', '中国,台湾,高雄', '2', '07', '8', 'Kaohsiung', 'GX', 'K', 120.312, 22.6209, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710300, 710000, '基隆市', '中国,台湾,基隆市', '基隆', '中国,台湾,基隆', '2', '02', '2', 'Keelung', 'JL', 'K', 121.746, 25.1307, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710400, 710000, '台中市', '中国,台湾,台中市', '台中', '中国,台湾,台中', '2', '04', '4', 'Taichung', 'TZ', 'T', 120.679, 24.1386, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710500, 710000, '台南市', '中国,台湾,台南市', '台南', '中国,台湾,台南', '2', '06', '7', 'Tainan', 'TN', 'T', 120.279, 23.1725, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710600, 710000, '新竹市', '中国,台湾,新竹市', '新竹', '中国,台湾,新竹', '2', '03', '3', 'Hsinchu', 'XZ', 'H', 120.969, 24.8067, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710700, 710000, '嘉义市', '中国,台湾,嘉义市', '嘉义', '中国,台湾,嘉义', '2', '05', '6', 'Chiayi', 'JY', 'C', 120.453, 23.4816, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (710800, 710000, '新北市', '中国,台湾,新北市', '新北', '中国,台湾,新北', '2', '02', '2', 'New Taipei', 'XB', 'N', 121.466, 25.0124, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712200, 710000, '宜兰县', '中国,台湾,宜兰县', '宜兰', '中国,台湾,宜兰', '2', '03', '2', 'Yilan', 'YL', 'Y', 121.5, 24.6, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712300, 710000, '桃园市', '中国,台湾,桃园市', '桃园', '中国,台湾,桃园', '2', '03', '3', 'Taoyuan', 'TY', 'T', 121.083, 25, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712400, 710000, '新竹县', '中国,台湾,新竹县', '新竹', '中国,台湾,新竹', '2', '03', '3', 'Hsinchu', 'XZ', 'H', 121.16, 24.6, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712500, 710000, '苗栗县', '中国,台湾,苗栗县', '苗栗', '中国,台湾,苗栗', '2', '037', '3', 'Miaoli', 'ML', 'M', 120.75, 24.5, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712700, 710000, '彰化县', '中国,台湾,彰化县', '彰化', '中国,台湾,彰化', '2', '04', '5', 'Changhua', 'ZH', 'C', 120.416, 24, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712800, 710000, '南投县', '中国,台湾,南投县', '南投', '中国,台湾,南投', '2', '049', '5', 'Nantou', 'NT', 'N', 120.83, 23.83, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (712900, 710000, '云林县', '中国,台湾,云林县', '云林', '中国,台湾,云林', '2', '05', '6', 'Yunlin', 'YL', 'Y', 120.25, 23.75, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713000, 710000, '嘉义县', '中国,台湾,嘉义县', '嘉义', '中国,台湾,嘉义', '2', '05', '6', 'Chiayi', 'JY', 'C', 120.3, 23.5, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713300, 710000, '屏东县', '中国,台湾,屏东县', '屏东', '中国,台湾,屏东', '2', '08', '9', 'Pingtung', 'PD', 'P', 120.488, 22.6828, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713400, 710000, '台东县', '中国,台湾,台东县', '台东', '中国,台湾,台东', '2', '089', '9', 'Taitung', 'TD', 'T', 120.916, 23, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713500, 710000, '花莲县', '中国,台湾,花莲县', '花莲', '中国,台湾,花莲', '2', '03', '9', 'Hualien', 'HL', 'H', 121.3, 23.83, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713600, 710000, '澎湖县', '中国,台湾,澎湖县', '澎湖', '中国,台湾,澎湖', '2', '06', '8', 'Penghu', 'PH', 'P', 119.566, 23.5697, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713700, 710000, '金门县', '中国,台湾,金门县', '金门', '中国,台湾,金门', '2', '082', '8', 'Jinmen', 'JM', 'J', 118.317, 24.4327, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (713800, 710000, '连江县', '中国,台湾,连江县', '连江', '中国,台湾,连江', '2', '0836', '2', 'Lienchiang', 'LJ', 'L', 119.54, 26.1974, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (810000, 100000, '香港特别行政区', '中国,香港特别行政区', '香港', '中国,香港', '1', NULL, NULL, 'Hong Kong', 'HK', 'H', 114.173, 22.32, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (810100, 810000, '香港岛', '中国,香港特别行政区,香港岛', '香港岛', '中国,香港,香港岛', '2', '00852', '999077', 'Hong Kong Island', 'XGD', 'H', 114.177, 22.2664, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (810200, 810000, '九龙', '中国,香港特别行政区,九龙', '九龙', '中国,香港,九龙', '2', '00852', '999077', 'Kowloon', 'JL', 'K', 114.175, 22.3271, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (810300, 810000, '新界', '中国,香港特别行政区,新界', '新界', '中国,香港,新界', '2', '00852', '999077', 'New Territories', 'XJ', 'N', 114.202, 22.3418, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (820000, 100000, '澳门特别行政区', '中国,澳门特别行政区', '澳门', '中国,澳门', '1', NULL, NULL, 'Macau', 'MO', 'M', 113.549, 22.199, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (820100, 820000, '澳门半岛', '中国,澳门特别行政区,澳门半岛', '澳门半岛', '中国,澳门,澳门半岛', '2', '00853', '999078', 'MacauPeninsula', 'AMBD', 'M', 113.549, 22.1988, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (820200, 820000, '胱械?', '中国,澳门特别行政区,胱械?', '胱械?', '中国,澳门,胱械?', '2', '00853', '999078', 'Taipa', 'DZD', 'T', 113.578, 22.1568, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (820300, 820000, '路环岛', '中国,澳门特别行政区,路环岛', '路环岛', '中国,澳门,路环岛', '2', '00853', '999078', 'Coloane', 'LHD', 'C', 113.565, 22.1162, NULL);
INSERT INTO `t_sha_area_city_code` VALUES (900000, 100000, '钓鱼岛', '中国,钓鱼岛', '钓鱼岛', '中国,钓鱼岛', '1', NULL, NULL, 'DiaoyuDao', 'DYD', 'D', 123.478, 25.7424, NULL);

SET FOREIGN_KEY_CHECKS = 1;
