package model

const (
	RepeatedPrompts    = "编码不能重复，请重新填写！"
	GatewayHasRelation = "该网关存在关联设备，请先移除设备！"
	RepeatedName       = "列表中存在重名,请更改灯杆分组名称！"
	ZigbeeSelect       = "集中器(ZigBee)选取异常！"
	ControlNONull      = "编号不能为空！！"
	ControlNOInvalid   = "编号不符合规则，最小值为1-1，最大值为255-255！"

	EnableInvalid = "启用禁用参数错误"
	ParamsInvalid = "非法参数！"
	TypeInvalid   = "非法类型！"
)

const (
	ControlType_Default  = iota // 灯控
	ControlType_NBIoT           //NB-IoT
	ControlType_485             //485灯控
	ControlType_ZigBee          //ZigBee
	ControlType_ZigBeeHL        //ZigBeeHL
)

const (
	Enable_Enable  = 1 // 启用
	Enable_Disable = 2 //停用
)

const (
	CameraTypeBall     = 1 //球机
	CameraTypeGun      = 2 //枪机
	CameraTypeBallName = "球机"
	CameraTypeGunName  = "枪机"
)

const (
	TypeCapture = "capture"
	TypePoint   = "point"
)

//redis
const (
	AlarmList           = "%d:AlarmList:GetList"
	LampPoleGroupList   = "%d:LampPoleGroupList:GetList"
	GroupFiltrationList = "%d:GroupFiltrationList:GetList"
	GarbageList         = "%d:GarbageList:GetList"
	GarbageWayGroupList = "%d:GarbageWayGroupList:GetList"
	OnDemandGroupList   = "%d:OnDemandGroupList:GetList"
	SwitchBoxList       = "%d:SwitchBoxList:GetList"
	TransformerList     = "%d:TransformerList:GetList"
	GatewayList         = "%d:GatewayList:GetList"
)
