package model

import "iot_manager_service/app/device/dao"

type ReqOnDemandGroupRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   int    `json:"sn"`   //sn
	Name string `json:"name"` //名称
}

type RspOnDemandGroupList struct {
	Records []dao.OnDemandGroup `json:"records"` //记录列表
	Current int                 `json:"current"` //当前分页
	Size    int                 `json:"size"`    //每页数量
	Total   int                 `json:"total"`   //总数
	Pages   int                 `json:"pages"`   //总页数
}

type RspOnDemandGroupNumber struct {
	Name  string `json:"name"`  //key
	Value int    `json:"value"` //value
}
