package model

import "iot_manager_service/app/system/dao"

type RsqMenuList struct {
	Records []dao.Menu `js+on:"records"` //记录列表
	Current int        `json:"current"`  //当前分页
	Size    int        `json:"size"`     //每页数量
	Pages   int        `json:"pages"`    //总页数
	Total   int        `json:"total"`    //总数
}

type MenuRouteDetail struct {
	dao.Menu
	HasChildren bool              `json:"hasChildren"`
	Children    []MenuRouteDetail `json:"children"`
}

type RsqMenuLazyList struct {
	List []MenuLazyListDetail `json:"data"`
}

type MenuLazyListDetail struct {
	dao.Menu
	HasChildren bool `json:"hasChildren"`
}
