CREATE TABLE `device_curve_sensor` (
                                       `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
                                       `sensor_name` varchar(64) DEFAULT NULL COMMENT '传感器名称',
                                       `sensor_sn` varchar(32) DEFAULT NULL COMMENT '传感器编码',
                                       `lamp_pole_id` int(11) DEFAULT NULL COMMENT '灯杆ID',
                                       `gateway_id` int(11) DEFAULT NULL COMMENT '网关id',
                                       `is_deleted` int(11) DEFAULT '0' COMMENT '是否删除:0=未删除,1=删除',
                                       `install_time` date DEFAULT NULL COMMENT '安装时间',
                                       `terrain_clearance` double(10,1) DEFAULT '0.0' COMMENT '离地高度(米)',
  `direction` int(11) DEFAULT NULL COMMENT '抓拍方位',
  `suggest_speed` int(11) DEFAULT NULL COMMENT '路段建议速度',
  `resolution` int(11) DEFAULT NULL COMMENT '分辨率',
  `brand_id` int(11) DEFAULT NULL COMMENT '设备品牌',
  `model_id` int(11) DEFAULT NULL COMMENT '设备型号',
  `info_size` int(11) DEFAULT NULL COMMENT '信息屏尺寸',
  `setting_ip` varchar(60) DEFAULT NULL COMMENT '设备ip',
  `setting_port` int(11) DEFAULT NULL COMMENT '设备端口',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户ID',
  `create_time` datetime DEFAULT NULL COMMENT '新增时间',
  `create_user` varchar(30) DEFAULT NULL COMMENT '新增记录操作用户ID',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `update_user` varchar(30) DEFAULT NULL COMMENT '修改用户',
  `state` int(2) DEFAULT '1' COMMENT '启用状态：1启用，0禁用',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=40 DEFAULT CHARSET=utf8 COMMENT='弯道传感器';